#!/bin/sh
# test we are root
if [ "$(id -u)" != "0" ]; then
   echo "run as root now exitting"
   exit 1
fi

# build order is libfm-extra-dev menu-cache libfm then pcmanfm
CFLAGS="-march=i486 -mtune=i686 -Os -pipe   " 
CXXFLAGS="-march=i486 -mtune=i686 -Os -pipe -fno-exceptions -fno-rtti  "
echo $CFLAGS && echo $CXXFLAGS

P1=libfm
P=$P1-extra-dev
V=1.3.2
SRC=$P1-$V
USER=`cat /etc/sysconfig/tcuser`
LIST="compiletc submitqc glib2-dev intltool "
for Z in $LIST
    do 
    su -c "tce-load -i $Z" $USER
done

# list may be larger than loaded
cd /usr/local/lib
rm -rf *.la
rm -rf gcc/i486-pc-linux-gnu/12.2.0/plugin/libcp1plugin.la
rm -rf gcc/i486-pc-linux-gnu/12.2.0/plugin/libcc1plugin.la
rm -rf gcc/i486-pc-linux-gnu/12.2.0/liblto_plugin.la
cd /tmp
rm -rf /usr/lib/*.la
find / -name *.la

su -c "/usr/local/bin/wget -nc --no-check-certificate \
https://downloads.sourceforge.net/pcmanfm/$SRC.tar.xz   "  $USER
tar xvf $SRC.tar.xz
cd $SRC
# compile says "Please consider passing --sysconfdir=/etc to configure.
# Otherwise default config files will be installed to wrong place
./configure  --prefix=/usr/local --sysconfdir=/etc --with-extra-only \
--with-gtk=no --disable-static
# checking if gcc supports -fno-rtti -fno-exceptions... no
# prefix:           /usr/local
# sysconfdir:       /etc
# Enable compiler flags and other support for debugging:  no
# Build udisks support (Linux only, experimental):        no
# Build with libexif for faster thumbnail loading:        no
# Build demo program src/demo/libfm-demo:                 no
# Build with custom actions support (requires Vala):      no
# Large file support:                                     yes
# GIO module for preferred apps (for glib < 2.28 only):   not required
# Build libfm-gtk for Gtk+ version:                       none
# Build API doc with gtk-doc (recommended for make dist): no
####################################################   
make check # takes seconds
make install-strip DESTDIR=/tmp/$P
cd /tmp

# main
####### 
rm -rf $P/usr/local/lib/libfm-extra.la

# To keep simple, no install script used (this build) to re-create 
# sym link from /usr/local/include/libfm-1.0 to libfm 

# TCZ them
###########
LIST="$P  "
for Z in $LIST
do
	mksquashfs $Z $Z.tcz
	md5sum $Z.tcz > $Z.tcz.md5.txt
	cd $Z
	find usr -not -type d > /tmp/$Z.tcz.list
        sed 's|usr|/usr|g' -i /tmp/$Z.tcz.list
	cd /tmp
done

ls -hal

echo 'Title:          libfm-extra-dev.tcz
Description:    building dep for menu-cache  
Version:        1.3.2
Author:         https://github.com/lxde/libfm/blob/master/AUTHORS
Original-site:  https://downloads.sourceforge.net/pcmanfm
Copying-policy: GPL v2
Size:           16K          		
Extension_by:   aus9
Tags:           pcmanfm    
Comments:       Building dep for menu-cache 
 
Change-log:     2015/07/05 v 1.2.3 (bmarkus)
                2015/09/01 re-compiled for menu-cache update (gordon64)
Current:        2023/08/20 v 1.3.2 on 14.x (aus9)  ' > $P.tcz.info

readelf -d $P/usr/local/lib/libfm-extra.so | grep 'NEEDED' 
# [libgio-2.0.so.0][libgthread-2.0.so.0][libgobject-2.0.so.0][libglib-2.0.so.0]glib2    

echo 'glib2-dev.tcz
intltool.tcz '> $P.tcz.dep

